OS_OBJECT_LIST(1)

NAME
os_object_list -

DESCRIPTION

Lists the objects in a bucket.

Example:
    oci os object list -ns mynamespace -bn mybucket --fields name,size,timeCreated

USAGE

oci os object list [OPTIONS]

REQUIRED PARAMETERS

-bn, --bucket-name [text]

    The name of the bucket.

OPTIONAL PARAMETERS

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--delimiter [text]

    When this parameter is set, only objects whose names do not contain the delimiter character (after an optionally specified prefix) are returned. Scanned objects whose names contain the delimiter have part of their name up to the last occurrence of the delimiter (after the optional prefix) returned as a set of prefixes. Note: Only '/' is a supported delimiter character at this time.

--end [text]

    Only object names less than this parameter will be returned.

--fields [text]

    Object summary in list of objects includes the 'name' field. This parameter may also include 'size' (object size in bytes), 'md5', and 'timeCreated' (object creation date and time) fields. Value of this parameter should be a comma separated, case-insensitive list of those field names. [default: name,size,timeCreated,md5]

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--limit [integer]

    The maximum number of items to return. [default: 100]

-ns, --namespace, --namespace-name [text]

    The top-level namespace used for the request. If not provided, this parameter will be obtained internally using a call to 'oci os ns get'

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--prefix [text]

    Only object names that begin with this prefix will be returned.

--start [text]

    Only object names greater or equal to this parameter will be returned.

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

EXAMPLES

  Description

List objects in a bucket

  Command

 oci os object list --bucket-name CLITest

  Output

{
 "data": [
      {
           "md5": "55sYrq31fJ1VgHfEGIh2hg==",
           "name": "test/FileOne.json",
           "size": 1785862,
           "time-created": "2019-08-13T23:31:02.981000+00:00"
      },
      {
           "md5": "uzobT/eOYWpieAdIu1lc2w==",
           "name": "test/FileTwo.json",
           "size": 466,
           "time-created": "2019-08-13T20:09:54.148000+00:00"
      },
      {
           "md5": "uzobT/eOYWpieAdIu1lc2w==",
           "name": "FileThree.json",
           "size": 468,
           "time-created": "2019-08-13T22:09:54.148000+00:00"
      }
 ],
 "prefixes": []
}

  Description

List objects in a bucket with common prefix

  Command

 oci os object list --bucket-name CLITest --prefix test

  Output

{
 "data": [
      {
           "md5": "55sYrq31fJ1VgHfEGIh2hg==",
           "name": "test/FileOne.json",
           "size": 1785862,
           "time-created": "2019-08-13T23:31:02.981000+00:00"
      },
      {
           "md5": "uzobT/eOYWpieAdIu1lc2w==",
           "name": "test/FileTwo.json",
           "size": 466,
           "time-created": "2019-08-13T20:09:54.148000+00:00"
      }
 ],
 "prefixes": []
}

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle